SpinLock Class Reference

`#include <PtexPlatform.h>`

## Public Member Functions

| SpinLock ()
| ~SpinLock ()
void | lock ()
bool | trylock ()
void | unlock ()

## Private Attributes

pthread_spinlock_t | _spinlock

## Detailed Description

Definition at line 160 of file PtexPlatform.h.

## Constructor & Destructor Documentation

## SpinLock()

SpinLock::SpinLock | ( |  | ) |

inline

Definition at line 162 of file PtexPlatform.h.

References _spinlock.

## ~SpinLock()

SpinLock::~SpinLock | ( |  | ) |

inline

Definition at line 163 of file PtexPlatform.h.

References _spinlock.

## Member Function Documentation

## lock()

void SpinLock::lock | ( |  | ) |

inline

Definition at line 164 of file PtexPlatform.h.

References _spinlock.

## trylock()

bool SpinLock::trylock | ( |  | ) |

inline

Definition at line 165 of file PtexPlatform.h.

References _spinlock.

## unlock()

void SpinLock::unlock | ( |  | ) |

inline

Definition at line 166 of file PtexPlatform.h.

References _spinlock.

## Member Data Documentation

## _spinlock

pthread_spinlock_t SpinLock::_spinlock

private

Definition at line 168 of file PtexPlatform.h.

Referenced by lock(), SpinLock(), trylock(), unlock(), and ~SpinLock().

The documentation for this class was generated from the following file:

- PtexPlatform.h